ghc-mod-5.6.0.0: Happy Haskell Programming

Safe Haskell | None
Language | Haskell2010

Language.Haskell.GhcMod.Caching

Synopsis

- cached :: forall m a d. (Gm m, MonadIO m, Binary a, Eq d, Binary d, Show d) => FilePath -> Cached m GhcModState d a -> d -> m a
- timeCacheInput :: MonadIO m => FilePath -> [FilePath] -> m [TimedFile]
- invalidatingInputFiles :: TimedCacheFiles -> [FilePath]
- module Language.Haskell.GhcMod.Caching.Types

# Documentation

cached #

Arguments

:: (Gm m, MonadIO m, Binary a, Eq d, Binary d, Show d) |
=> FilePath | Directory to prepend to `cacheFile`
-> Cached m GhcModState d a | Cache descriptor
-> d |
-> m a |

Cache a MonadIO action with proper invalidation.

timeCacheInput :: MonadIO m => FilePath -> [FilePath] -> m [TimedFile] #

invalidatingInputFiles :: TimedCacheFiles -> [FilePath] #

module Language.Haskell.GhcMod.Caching.Types